Package com.sap.ai.sdk.prompt.registry.model

# Class SAPDocumentTranslationOutputConfig

java.lang.Object
com.sap.ai.sdk.prompt.registry.model.SAPDocumentTranslationOutputConfig

public class SAPDocumentTranslationOutputConfig extends Object
SAPDocumentTranslationOutputConfig

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `SAPDocumentTranslationOutputConfig.Builder`
  Builder helper class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `SAPDocumentTranslationOutputConfig()`
  Default constructor for SAPDocumentTranslationOutputConfig.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SAPDocumentTranslationOutputConfig.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `SAPDocumentTranslationOutputConfig` instance with all required arguments.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `SAPDocumentTranslationOutputConfig`.
  `String`
  `getSourceLanguage()`
  Language of the text to be translated.
  `SAPDocumentTranslationOutputTargetLanguage`
  `getTargetLanguage()`
  Get targetLanguage
  `int`
  `hashCode()`
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `SAPDocumentTranslationOutputConfig` instance.
  `void`
  `setSourceLanguage(String sourceLanguage)`
  Set the sourceLanguage of this `SAPDocumentTranslationOutputConfig` instance.
  `void`
  `setTargetLanguage(SAPDocumentTranslationOutputTargetLanguage targetLanguage)`
  Set the targetLanguage of this `SAPDocumentTranslationOutputConfig` instance.
  `SAPDocumentTranslationOutputConfig`
  `sourceLanguage(String sourceLanguage)`
  Set the sourceLanguage of this `SAPDocumentTranslationOutputConfig` instance and return the same instance.
  `SAPDocumentTranslationOutputConfig`
  `targetLanguage(SAPDocumentTranslationOutputTargetLanguage targetLanguage)`
  Set the targetLanguage of this `SAPDocumentTranslationOutputConfig` instance and return the same instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `SAPDocumentTranslationOutputConfig` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SAPDocumentTranslationOutputConfig

    protected SAPDocumentTranslationOutputConfig()
    Default constructor for SAPDocumentTranslationOutputConfig.

- ## Method Details

  - ### sourceLanguage

    @Nonnull public SAPDocumentTranslationOutputConfig sourceLanguage(@Nullable String sourceLanguage)
    Set the sourceLanguage of this `SAPDocumentTranslationOutputConfig` instance and return the same instance.
    Parameters:
      `sourceLanguage` - Language of the text to be translated.
    Returns:
      The same instance of this `SAPDocumentTranslationOutputConfig` class

  - ### getSourceLanguage

    @Nonnull public String getSourceLanguage()
    Language of the text to be translated.
    Returns:
      sourceLanguage The sourceLanguage of this `SAPDocumentTranslationOutputConfig` instance.

  - ### setSourceLanguage

    public void setSourceLanguage(@Nullable String sourceLanguage)
    Set the sourceLanguage of this `SAPDocumentTranslationOutputConfig` instance.
    Parameters:
      `sourceLanguage` - Language of the text to be translated.

  - ### targetLanguage

    @Nonnull public SAPDocumentTranslationOutputConfig targetLanguage(@Nonnull SAPDocumentTranslationOutputTargetLanguage targetLanguage)
    Set the targetLanguage of this `SAPDocumentTranslationOutputConfig` instance and return the same instance.
    Parameters:
      `targetLanguage` - The targetLanguage of this `SAPDocumentTranslationOutputConfig`
    Returns:
      The same instance of this `SAPDocumentTranslationOutputConfig` class

  - ### getTargetLanguage

    @Nonnull public SAPDocumentTranslationOutputTargetLanguage getTargetLanguage()
    Get targetLanguage
    Returns:
      targetLanguage The targetLanguage of this `SAPDocumentTranslationOutputConfig` instance.

  - ### setTargetLanguage

    public void setTargetLanguage(@Nonnull SAPDocumentTranslationOutputTargetLanguage targetLanguage)
    Set the targetLanguage of this `SAPDocumentTranslationOutputConfig` instance.
    Parameters:
      `targetLanguage` - The targetLanguage of this `SAPDocumentTranslationOutputConfig`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `SAPDocumentTranslationOutputConfig`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `SAPDocumentTranslationOutputConfig` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `SAPDocumentTranslationOutputConfig` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `SAPDocumentTranslationOutputConfig` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static SAPDocumentTranslationOutputConfig.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `SAPDocumentTranslationOutputConfig` instance with all required arguments.